package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.SLAVEONEET;
import cn.ibizhub.demo.demo.service.SLAVEONEETService;
import cn.ibizhub.demo.demo.dao.SLAVEONEETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Field;
import java.util.*;

/**
 * 实体[SLAVEONEET] 服务对象接口实现
 */
@Transactional(rollbackFor = Exception.class)
@Service
public class SLAVEONEETServiceImpl implements SLAVEONEETService{

    @Autowired
    private SLAVEONEETDao slaveoneetdao;

    @PersistenceContext
    EntityManager entityManager;

    public void addSLAVEONEET (SLAVEONEET slaveoneet){
        slaveoneetdao.save(slaveoneet);
    }
    public void deleteSLAVEONEET (SLAVEONEET slaveoneet){
        slaveoneetdao.delete(slaveoneet);
    }
    public void updateSLAVEONEET (SLAVEONEET slaveoneet){
        slaveoneetdao.save(slaveoneet);
    }
    public List<SLAVEONEET> selectSLAVEONEETall (){
        return slaveoneetdao.findAll();
    }
    public SLAVEONEET selectSLAVEONEET (String id){
        return slaveoneetdao.findById(id).get();
    }

    public List<SLAVEONEET> findBySlaveoneetnameContaining(String param){
        return slaveoneetdao.findBySlaveoneetnameContaining(param);
    }


    public List<SLAVEONEET> Qbc(SLAVEONEET slaveoneet){

        String str = "SELECT t FROM T_SLAVEONEET t";
        StringBuffer condition = new StringBuffer();
        String str_if = "";
        if(slaveoneet.getSlaveoneetname()!=null&&!"".equals(slaveoneet.getSlaveoneetname())){
            condition.append(" and ").append(" t.slaveoneetname ").append(" like ").append("'").append("%").append(slaveoneet.getSlaveoneetname()).append("%").append("'");
        }
        if(condition.length()>0){
            str_if = condition.toString();
            str_if = str_if.substring(4,str_if.length());
            str = str+" where "+str_if;
        }
        Query query = entityManager.createQuery(str);
        List<SLAVEONEET> persons = query.getResultList();
        return persons;
    }

    /**
     *Create
     * */
    public boolean Create (SLAVEONEET slaveoneet)  {
        return false;
    }

    /**
     *Remove
     * */
    public boolean Remove (SLAVEONEET slaveoneet)  {
        return false;
    }

    /**
     *Get
     * */
    public SLAVEONEET Get (SLAVEONEET slaveoneet)  {
        return slaveoneet;
    }

    /**
     *Save
     * */
    public boolean Save (SLAVEONEET slaveoneet)  {
        return false;
    }

    /**
     *Update
     * */
    public boolean Update (SLAVEONEET slaveoneet)  {
        return false;
    }

    /**
     *CheckKey
     * */
    public boolean CheckKey (SLAVEONEET slaveoneet)  {
        return false;
    }

    /**
     *GetDraft
     * */
    public boolean GetDraft (SLAVEONEET slaveoneet)  {
        return false;
    }

}