package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.MASTERONEET;
import cn.ibizhub.demo.demo.service.MASTERONEETService;
import cn.ibizhub.demo.demo.dao.MASTERONEETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Field;
import java.util.*;

/**
 * 实体[MASTERONEET] 服务对象接口实现
 */
@Transactional(rollbackFor = Exception.class)
@Service
public class MASTERONEETServiceImpl implements MASTERONEETService{

    @Autowired
    private MASTERONEETDao masteroneetdao;

    @PersistenceContext
    EntityManager entityManager;

    public void addMASTERONEET (MASTERONEET masteroneet){
        masteroneetdao.save(masteroneet);
    }
    public void deleteMASTERONEET (MASTERONEET masteroneet){
        masteroneetdao.delete(masteroneet);
    }
    public void updateMASTERONEET (MASTERONEET masteroneet){
        masteroneetdao.save(masteroneet);
    }
    public List<MASTERONEET> selectMASTERONEETall (){
        return masteroneetdao.findAll();
    }
    public MASTERONEET selectMASTERONEET (String id){
        return masteroneetdao.findById(id).get();
    }

    public List<MASTERONEET> findByMasteroneetnameContaining(String param){
        return masteroneetdao.findByMasteroneetnameContaining(param);
    }


    public List<MASTERONEET> Qbc(MASTERONEET masteroneet){

        String str = "SELECT t FROM T_MASTERONEET t";
        StringBuffer condition = new StringBuffer();
        String str_if = "";
        if(masteroneet.getMasteroneetname()!=null&&!"".equals(masteroneet.getMasteroneetname())){
            condition.append(" and ").append(" t.masteroneetname ").append(" like ").append("'").append("%").append(masteroneet.getMasteroneetname()).append("%").append("'");
        }
        if(condition.length()>0){
            str_if = condition.toString();
            str_if = str_if.substring(4,str_if.length());
            str = str+" where "+str_if;
        }
        Query query = entityManager.createQuery(str);
        List<MASTERONEET> persons = query.getResultList();
        return persons;
    }

    /**
     *Remove
     * */
    public boolean Remove (MASTERONEET masteroneet)  {
        return false;
    }

    /**
     *CheckKey
     * */
    public boolean CheckKey (MASTERONEET masteroneet)  {
        return false;
    }

    /**
     *Save
     * */
    public boolean Save (MASTERONEET masteroneet)  {
        return false;
    }

    /**
     *Get
     * */
    public MASTERONEET Get (MASTERONEET masteroneet)  {
        return masteroneet;
    }

    /**
     *GetDraft
     * */
    public boolean GetDraft (MASTERONEET masteroneet)  {
        return false;
    }

    /**
     *Create
     * */
    public boolean Create (MASTERONEET masteroneet)  {
        return false;
    }

    /**
     *Update
     * */
    public boolean Update (MASTERONEET masteroneet)  {
        return false;
    }

}